import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;
import java.net.URL;

public class Calculator extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws IOException {
        //找到FXML文件
        URL url = getClass().getResource("CalculatorView.fxml");
        //用FXML创建树，得到根节点
        Parent root = FXMLLoader.load(url);
        Scene scene = new Scene(root,282,330);
        primaryStage.setTitle("计算器");
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}

